/*
 * Component Name: Headset Simulator
 * Author: Comarch S.A.
 * Version: 1.0
 * Copyright (c) 2010 Comarch S.A.
 *  
 * This Software is submitted by Comarch S.A. to Symbian Foundation Limited on 
 * the basis of the Member Contribution Agreement entered between Comarch S.A. 
 * and Symbian Foundation Limited on 5th June 2009 (Agreement) and may be 
 * used only in accordance with the terms and conditions of the Agreement. 
 * Any other usage, duplication or redistribution of this Software is not 
 * allowed without written permission of Comarch S.A.
 * 
 */

inline CHsProfileBase* CHsProfileBase::NewL( const TUid aUid )
    {
    TAny *any = REComSession::CreateImplementationL( aUid, _FOFF(
            CHsProfileBase, iDtor_ID_Key ) );
    return (CHsProfileBase*) any;
    }

inline CHsProfileBase* CHsProfileBase::NewL( const TDesC8 &aProfilName )
    {
    TEComResolverParams params;

    params.SetDataType( aProfilName );
    params.SetWildcardMatch( ETrue );

    TAny *any = REComSession::CreateImplementationL(
            KHsProfileBaseInterfaceDefinitionUid, _FOFF( CHsProfileBase,
                    iDtor_ID_Key ), params );
    return (CHsProfileBase*) any;
    }

inline CHsProfileBase::~CHsProfileBase()
    {
    REComSession::DestroyedImplementation( iDtor_ID_Key );
    }

